4Z API

Submit video generation task

Endpoint: POST https://4zapi.com/minimax/v1/video_generation

Vincent video or Tusheng video. After submission, task_id is returned, and the results are polled through GET /minimax/v1/query/video_generation.

Request body (application/json)

  • model (string, required): Model name ["MiniMax-H3", "MiniMax-Hailuo-2.3-Fast", "T2V-01-Director", "I2V-01-Director", "S2V-01"]
  • prompt (string, required): Video content description prompt words
  • aigc_watermark (boolean): Whether to add AIGC watermark
  • callback_url (string): Task completion callback URL
  • duration (integer): Video duration (seconds) [6, 10]
  • fast_pretreatment (boolean): Whether to shorten optimization time (only 2.3/02 model)
  • first_frame_image (string): First frame image URL or Base64 (Tusheng video); `MiniMax-Hailuo-2.3-Fast` required
  • last_frame_image (string): Last frame image URL or Base64 (first and last frames generate video)
  • prompt_optimizer (boolean): Whether to automatically optimize prompt
  • resolution (string): Resolution (capital P) ["512P", "768P", "1080P"]
  • subject_reference (array<object>): Body reference (S2V-01 model)

Request example

{
  "aigc_watermark": false,
  "callback_url": "https://your-domain.com/api/video/callback",
  "duration": 6,
  "first_frame_image": "https://filecdn.minimax.chat/public/fe9d04da-f60e-444d-a2e0-18ae743add33.jpeg",
  "last_frame_image": "https://filecdn.minimax.chat/public/97b7cd08-764e-4b8b-a7bf-87a0bd898575.jpeg",
  "model": "MiniMax-H3",
  "prompt": "A little girl grow up [推进].",
  "prompt_optimizer": true,
  "resolution": "1080P"
}